码迷,mamicode.com
首页 > Windows程序 > 详细

Docker升级后报错:Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39

时间:2020-05-24 00:48:23      阅读:472      评论:0      收藏:0      [点我收藏+]

标签:color   ima   报错   图片   err   mamicode   response   docke   alt   

现象:升级docker后镜像无法导入

技术图片

 

 

原因:

api现在最多只能支持到1.39,但是client是1.40版本的

解决办法:

修改系统环境变量即可

临时:

export DOCKER_API_VERSION=1.39

永久修改:

在/etc/profile和 ~/.bashrc 最后追加一个 export DOCKER_API_VERSION=1.39

vi /etc/profile  #结尾追加
export DOCKER_API_VERSION=1.39
source
/etc/profile #使配置生效

 

Docker升级后报错:Error response from daemon: client version 1.40 is too new. Maximum supported API version is 1.39

标签:color   ima   报错   图片   err   mamicode   response   docke   alt   

原文地址:https://www.cnblogs.com/wangzy-tongq/p/12945014.html

(1)
(0)
   
举报
评论 一句话评论(0
登录后才能评论!
© 2014 mamicode.com 版权所有 京ICP备13008772号-2
迷上了代码!